Skip to content

PromotedLinks

PromotedLinks entities and endpoints of the Amplify API.

A PromotedLink is the entity that describes a single piece of promoted content. As of April 12, 2021 each campaign is limited to 30,000 PromotedLinks.

The PromotedLink object has the following attributes:

PropertyTypeSemanticExample
idStringThe ID of this PromotedLink read-only"00f4b02153ee75f3c9dc4fc128ab041962"
campaignIdStringThe ID of the campaign to which the PromotedLink belongs read-only"00f4b02153ee75f3c9dc4fc128ab041963"
textStringThe text of the PromotedLink"Google to take over huge NASA hangar, give execs' private planes a home"
lastModifiedTimeThe time when the PromotedLink was last modified. read-only"2013-03-16 10:32:31"
creationTimeTimeThe time when the PromotedLink was created. read-only"2013-01-14 07:19:16"
urlStringThe URL visitors will be sent to upon clicking the PromotedLink. read-only"http://www.engadget.com/2014/02/11/nasa-google-hangar-one/"
sectionNameStringThe section name of the site the PromotedLink URL points to."Sports"
descriptionStringThe description of the PromotedLink"This is exciting news"
statusPromotedLink Review StatusDeprecated, use approvalStatus instead. The review status of the PromotedLink. read-only"PENDING"
approvalStatusPromotedLink Approval StatusThe approval status of the PromotedLink.
enabledBooleanDesignates whether this PromotedLink will be served.true
archivedBooleanDesignates whether this PromotedLink is archived.true
documentLanguageLanguage codeThe 2-letter code for the language of this PromotedLink (via the PromotedLink's URL). read-only"EN"
cpcMoney(deprecation date 20.4.20) Cost Per Click.0.58
baseUrlStringThe URL that the PromotedLink was created with. read-only""http://money.cnn.com/2013/11/26/news/economy/milk-farm-bill/""
documentIDStringThe ID of the document to which this PromotedLink belongs. read-only NOTE: the term document refers to the PromotedLink's url00a07df85ee3f71d07ebdf0a53f2fd61af
onAirStatusPromotedLink onAir StatusIndicates whether the PromotedLink is onAir or not
cpcAdjustmentNumberCPC adjustment bid of this promotedLink based on the campaign’s CPC (optional). Float number with precision of 3 digits (between -1 and 10)0.1
callToActionCall To ActionThe Call to Action on PromotedLink
imageMetadataImage Meta DataPromotedLink's image metadata
logoMetadataLogo Meta DataThe PromotedLink's own brand logo. Requires extraFields=LogoMetaData. If omitted at creation, the advertiser's Marketer.logoMetadata is copied in as a one-time default
metaDataStringnon-serving reference name of the PromotedLink (optional)

Endpoints

Endpoints

Endpoints

Endpoints

Collection of all PromotedLinks for the specified Campaign. Results can be filtered by supplying additional query parameters.

Note: some promoted link properties require using the Extra Field notion

The PromotedLinks collection resource has the following attributes:

  • count - Number of PromotedLinks returned in the PromotedLinks array included in this response.
  • promotedLinks - Array of PromotedLinks objects.
  • totalCount - Total number of PromotedLinks regardless of 'limit' and 'offset' parameters, used for pagination.

Endpoints